APIリファレンスConnect 会員事業のパートナー

Connect 会員事業のパートナー

会員自身の発注先・委託先を管理する

GET/v1/connect/accounts/{accountId}/partners

会員事業のパートナーを検索する

会員自身の発注先・委託先を返します。銀行情報等を含む非公開の業務情報です。発注や契約の一覧はpartner-ordersで取得してください。

パスの値

  • accountIdstring必須

    100文字まで

クエリ

  • externalRefstring

    200文字まで

  • emailstring (email)

    320文字まで

  • querystring

    200文字まで

  • statusenum
    activeinactive
  • cursorstring

    100文字まで

  • limitinteger

    1〜100

返る項目data の中身 · 200

  • idstring
  • externalRefstring | null
  • namestring
  • companyNamestring | null
  • contactNamestring | null
  • emailstring | null
  • phoneNumberstring | null
  • addressstring | null
  • taxRegistrationNumberstring | null
  • bankAccountstring | null
  • statusenum
    activeinactive
  • createdAtstring (date-time)
  • updatedAtstring (date-time)

起こりうるエラー共通のエラー

  • 400invalid_request

    送った値が正しくない。message にどこが違うかが入ります

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

GET/v1/…/accounts/{accountId}/partners
curl https://tooon.app/api/v1/connect/accounts/clx8k2m0a0001/partners \
  -H "Authorization: Bearer $TOOON_API_KEY"
レスポンス
{
  "data": [
    {
      "id": "clx8k2m0a0001",
      "externalRef": "staff-0001",
      "name": "山田 太郎",
      "companyName": "山田デザイン事務所",
      "contactName": "山田 太郎",
      "email": "…",
      "phoneNumber": "090-1234-5678",
      "address": "東京都渋谷区神南1-2-3",
      "taxRegistrationNumber": "T1234567890123",
      "bankAccount": "○○銀行 渋谷支店 普通 1234567",
      "status": "active",
      "createdAt": "2026-11-01T09:00:00.000Z",
      "updatedAt": "2026-11-01T09:00:00.000Z"
    }
  ],
  "nextCursor": null
}
POST/v1/connect/accounts/{accountId}/partners

会員事業のパートナーを登録する

名前だけで登録できます。externalRefはこの事業内で一意。同じ入力の再送は同じ相手を返し、異なる内容は409です。社員・ログイン・招待・通知・契約は作りません。

パスの値

  • accountIdstring必須

    100文字まで

送る項目JSON · 10項目

  • namestring必須

    200文字まで

  • companyNamestring | null

    200文字まで

  • contactNamestring | null

    200文字まで

  • emailstring (email) | null

    320文字まで

  • phoneNumberstring | null

    50文字まで

  • addressstring | null

    500文字まで

  • taxRegistrationNumberstring | null

    50文字まで

  • bankAccountstring | null

    500文字まで

  • statusenum
    activeinactive
  • externalRefstring

    200文字まで

返る項目data の中身 · 200

  • idstring
  • externalRefstring | null
  • namestring
  • companyNamestring | null
  • contactNamestring | null
  • emailstring | null
  • phoneNumberstring | null
  • addressstring | null
  • taxRegistrationNumberstring | null
  • bankAccountstring | null
  • statusenum
    activeinactive
  • createdAtstring (date-time)
  • updatedAtstring (date-time)

起こりうるエラー共通のエラー

  • 400invalid_request

    送った値が正しくない。message にどこが違うかが入ります

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

POST/v1/…/accounts/{accountId}/partners
curl -X POST https://tooon.app/api/v1/connect/accounts/clx8k2m0a0001/partners \
  -H "Authorization: Bearer $TOOON_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "山田 太郎",
  "externalRef": "staff-0001"
}'
レスポンス
{
  "data": {
    "id": "clx8k2m0a0001",
    "externalRef": "staff-0001",
    "name": "山田 太郎",
    "companyName": "山田デザイン事務所",
    "contactName": "山田 太郎",
    "email": "…",
    "phoneNumber": "090-1234-5678",
    "address": "東京都渋谷区神南1-2-3",
    "taxRegistrationNumber": "T1234567890123",
    "bankAccount": "○○銀行 渋谷支店 普通 1234567",
    "status": "active",
    "createdAt": "2026-11-01T09:00:00.000Z",
    "updatedAt": "2026-11-01T09:00:00.000Z"
  }
}
GET/v1/connect/accounts/{accountId}/partners/{id}

会員事業のパートナーを取得する

パスの値

  • accountIdstring必須

    100文字まで

  • idstring必須

    100文字まで

返る項目data の中身 · 200

  • idstring
  • externalRefstring | null
  • namestring
  • companyNamestring | null
  • contactNamestring | null
  • emailstring | null
  • phoneNumberstring | null
  • addressstring | null
  • taxRegistrationNumberstring | null
  • bankAccountstring | null
  • statusenum
    activeinactive
  • createdAtstring (date-time)
  • updatedAtstring (date-time)

起こりうるエラー共通のエラー

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

GET/v1/…/accounts/{accountId}/partners/{id}
curl https://tooon.app/api/v1/connect/accounts/clx8k2m0a0001/partners/clx8k2m0a0001 \
  -H "Authorization: Bearer $TOOON_API_KEY"
レスポンス
{
  "data": {
    "id": "clx8k2m0a0001",
    "externalRef": "staff-0001",
    "name": "山田 太郎",
    "companyName": "山田デザイン事務所",
    "contactName": "山田 太郎",
    "email": "…",
    "phoneNumber": "090-1234-5678",
    "address": "東京都渋谷区神南1-2-3",
    "taxRegistrationNumber": "T1234567890123",
    "bankAccount": "○○銀行 渋谷支店 普通 1234567",
    "status": "active",
    "createdAt": "2026-11-01T09:00:00.000Z",
    "updatedAt": "2026-11-01T09:00:00.000Z"
  }
}
PATCH/v1/connect/accounts/{accountId}/partners/{id}

会員事業のパートナーを変更する

expectedUpdatedAtに直前のGETの値を指定します。省略項目は保持し、nullは任意項目を消します。externalRef・所属先・ログインとの対応は変更できません。停止しても履歴は消えません。

パスの値

  • accountIdstring必須

    100文字まで

  • idstring必須

    100文字まで

送る項目JSON · 10項目

  • namestring

    200文字まで

  • companyNamestring | null

    200文字まで

  • contactNamestring | null

    200文字まで

  • emailstring (email) | null

    320文字まで

  • phoneNumberstring | null

    50文字まで

  • addressstring | null

    500文字まで

  • taxRegistrationNumberstring | null

    50文字まで

  • bankAccountstring | null

    500文字まで

  • statusenum
    activeinactive
  • expectedUpdatedAtstring (date-time)必須

返る項目data の中身 · 200

  • idstring
  • externalRefstring | null
  • namestring
  • companyNamestring | null
  • contactNamestring | null
  • emailstring | null
  • phoneNumberstring | null
  • addressstring | null
  • taxRegistrationNumberstring | null
  • bankAccountstring | null
  • statusenum
    activeinactive
  • createdAtstring (date-time)
  • updatedAtstring (date-time)

起こりうるエラー共通のエラー

  • 400invalid_request

    送った値が正しくない。message にどこが違うかが入ります

  • 403insufficient_scope

    キーにこの入口の権限(scope)が付いていない。requiredScopes に必要な権限が入ります

  • 404not_found

    対象がない、またはこのワークスペースのものではない

PATCH/v1/…/accounts/{accountId}/partners/{id}
curl -X PATCH https://tooon.app/api/v1/connect/accounts/clx8k2m0a0001/partners/clx8k2m0a0001 \
  -H "Authorization: Bearer $TOOON_API_KEY" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "山田 太郎",
  "expectedUpdatedAt": "2026-11-01T09:00:00.000Z"
}'
レスポンス
{
  "data": {
    "id": "clx8k2m0a0001",
    "externalRef": "staff-0001",
    "name": "山田 太郎",
    "companyName": "山田デザイン事務所",
    "contactName": "山田 太郎",
    "email": "…",
    "phoneNumber": "090-1234-5678",
    "address": "東京都渋谷区神南1-2-3",
    "taxRegistrationNumber": "T1234567890123",
    "bankAccount": "○○銀行 渋谷支店 普通 1234567",
    "status": "active",
    "createdAt": "2026-11-01T09:00:00.000Z",
    "updatedAt": "2026-11-01T09:00:00.000Z"
  }
}